FLANG

Public Types | Public Member Functions | List of all members
Fortran::evaluate::StructureConstructor Class Reference

## Public Types
using | Result = SomeDerived

## Public Member Functions
| StructureConstructor (const semantics::DerivedTypeSpec &spec)
| StructureConstructor (const semantics::DerivedTypeSpec &, const StructureConstructorValues &)
| StructureConstructor (const semantics::DerivedTypeSpec &, StructureConstructorValues &&)
constexpr Result | result () const
const semantics::DerivedTypeSpec & | derivedTypeSpec () const
StructureConstructorValues & | values ()
const StructureConstructorValues & | values () const
bool | operator== (const StructureConstructor &) const
StructureConstructorValues::iterator | begin ()
StructureConstructorValues::const_iterator | begin () const
StructureConstructorValues::iterator | end ()
StructureConstructorValues::const_iterator | end () const
const Expr< SomeType > * | Find (const Symbol &) const
StructureConstructor & | Add (const semantics::Symbol &, Expr< SomeType > &&)
int | Rank () const
DynamicType | GetType () const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const

The documentation for this class was generated from the following files:

- include/flang/Evaluate/expression.h
- lib/Evaluate/expression.cpp
- lib/Evaluate/formatting.cpp